SHOUT(1)

NAME
shout - Icecast source client

SYNOPSIS
shout [OPTIONS]

DESCRIPTION
shout reads data from standard input and streams it to Icecast.

OPTIONS

--format format
    Set stream format. This can be "ogg", "mp3", or "webm". Default is "ogg".

-H host
    See --host

-h  See --help

--help
    Show help.

--host host
    Set destination host. Default is "localhost".

--mount string
    Set mountpoint. Default is "/example.ogg".

-P port
    See --port

--pass string
    Set source password. Default is "hackme".

--port port
    Set destination port. Symbolic names are supported. Default is 8000.

--proto protocol
    Set protocol. Default is "http".

--station-description string
    Set stream description.

--station-genre string
    Set stream genre.

--station-meta key=value
    Set meta information. Both key and value are arbitrary strings.

--station-name string
    Set stream name.

--station-url string
    Set stream URL.

--tls-mode tls-mode
    Set TLS mode. This can be "disabled", "auto", "auto_no_plain", "rfc2818", or "rfc2817". Default is "auto".

    When libshout is build without TLS support only "disabled", and "auto" are supported.

--usage usage{,usage}
    Set stream usages. This can be:
    "audio"
        for audio substreams
    "visual"
        for picture/video substreams (most often combined with "audio")
    "text"
        for text substreams that are not subtitles
    "subtitle"
        for subtitle substreams
    "light"
        for light control substreams
    "ui"
        for user interface data, such as DVD menus or buttons
    "metadata"
        for substreams that include metadata for the stream
    "application"
        for application specific data substreams
    "control"
        for substreams that control the infrastructure
    "complex"
        for substreams that are themself a mixture of other types
    "other"
        for substream of types not listed here
    "unknown"
        for streams that may contain additional substreams of unknown nature
    "3d"
        for streams that contain information for 3D playback
    "4d"
        for streams that contain information for 4D/XD playback

--user string
    Set source user. Default is "source".

NOTES
If this binary is symlinked, or hardlinked to the name "oggfwd" it provides drop-in compatibly with oggfwd(1).